Table of Contents

Class: RemoteReference | Twisted-0.17.4/twisted/spread/pb.py
--- | ---

### This is a translucent reference to a remote object.

I may be a reference to a ViewPoint, a Referenceable, or a Perspective. From the client's perspective, it is not possible to tell which except by convention.

I am a "translucent" reference because although no additional bookkeeping overhead is given to the application programmer for manipulating a reference, return values are asynchronous.

See also twisted.python.defer.

Base Classes |
--- | ---
Serializable styles.Ephemeral

Methods |
--- | ---

__cmp__ __del__ __hash__ __init__ _disconnected callRemote | dontNotifyOnDisconnect jellyFor notifyOnDisconnect remoteMethod unjellyFor

| __cmp__

    __cmp__ ( self,  other )

Compare me [to another RemoteReference].

| __del__

    __del__ ( self )

Do distributed reference counting on finalization.

| __hash__

    __hash__ ( self )

Hash me.

| __init__

    __init__ (
            self,
            perspective,
            broker,
            luid,
            doRefCount,
            )

### (internal) Initialize me with a broker and a locally-unique ID.

The ID is unique only to the particular Perspective Broker instance.

| _disconnected

    _disconnected ( self )

Called if we are disconnected and have callbacks registered.

| callRemote

    callRemote (
            self,
            name,
            *args,
            *kw,
            )

### Asynchronously invoke a remote method.

#### Arguments:

- name: the name of the remote method to invoke

- *args: arguments to serialize for the remote function

- **kw: keyword arguments to serialize for the remote function.

#### Returns:

a Deferred which will be fired when the result of this remote call is received.

| dontNotifyOnDisconnect

    dontNotifyOnDisconnect ( self,  callback )

Register a callback to be called if our broker gets disconnected.

| jellyFor

    jellyFor ( self,  jellier )

If I am being sent back to where I came from, serialize as a local backreference.

| notifyOnDisconnect

    notifyOnDisconnect ( self,  callback )

### Register a callback to be called if our broker gets disconnected.

This callback will be called with one method, this instance.

| remoteMethod

    remoteMethod ( self,  key )

Get a RemoteMethod for this key.

| unjellyFor

    unjellyFor (
            self,
            unjellier,
            unjellyList,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0